Page MenuHomePhabricator

MW-1.30.0-wmf.9 deployment blockers
Closed, ResolvedPublicRelease

Description

NOTE: This is a new format for deployment blocker tasks. The deployment details below are auto-generated from a template and cannot be edited by editing the task description.

Details

Release Version
1.30.0-wmf.09
Release Date
1499662800

2017 week 28 1.30-wmf.09 Changes wmf/1.30.0-wmf.09

This MediaWiki Train Deployment is scheduled for the week of Monday, July 10th:

Monday July 10thTuesday, July 11thWednesday, July 12thThursday, July 13thFriday
SWAT deployments only.Branch wmf.09 and deploy to Group 0 Wikis.Deploy wmf.09 to Group 1 Wikis.Deploy wmf.09 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.09 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: ...
Next: 1.30.0-wmf.10

Event Timeline

mmodell created this task.Jun 14 2017, 2:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 14 2017, 2:55 PM
greg added a subscriber: greg.Jun 15 2017, 12:21 AM

Just to be clear, this is indeed wmf.9 not wmf.8. From now on we are keeping a "each week gets a wmf.XX number, whether it rolls out at all or not". See for example after the Hackathon when we branched but skipped wmf.3 (wmf.2 needed extra baking time). This makes a lot of current and potentially future things more straight-forward. kthx

mmodell updated the task description. (Show Details)Jun 16 2017, 12:11 PM
mmodell updated the task description. (Show Details)Jun 28 2017, 8:09 PM

Mentioned in SAL (#wikimedia-operations) [2017-07-11T17:19:42Z] <thcipriani> starting branch cut for 1.30.0-wmf.9 T167893

Just to be clear, this is indeed wmf.9 not wmf.8. From now on we are keeping a "each week gets a wmf.XX number, whether it rolls out at all or not". See for example after the Hackathon when we branched but skipped wmf.3 (wmf.2 needed extra baking time). This makes a lot of current and potentially future things more straight-forward. kthx

… and a lot of current things much more broken. :-(

thcipriani closed this task as Resolved.Jul 19 2017, 5:22 PM
mmodell changed Release Version from 1.30.0-wmf.9 to 1.30.0-wmf.09.Sep 14 2017, 6:47 PM